using SqlSugar;
using System;

namespace DeviceRepair.Models.SFC
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("Staffs")]
    public class StaffsInfo
    {
        /// <summary>
        ///  0:QE 1:PE 2:ME
        ///</summary>
        [SugarColumn(ColumnName = "GUID", IsPrimaryKey = true)]
        public Guid Guid { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Post")]
        public string Post { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Image")]
        public string Image { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Code")]
        public string Code { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Name")]
        public string Name { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Telephone")]
        public string Telephone { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EMail")]
        public string EMail { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public string Status { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public string CreateBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public string ModifyBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

    }
}
